libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::slot_const_iterator< T_slot > Struct Template Reference
Signals

STL-style const iterator for slot_list. More...

`#include <sigc++/signal.h>`

## Public Types
using | difference_type = std::ptrdiff_t
using | iterator_category = std::bidirectional_iterator_tag
using | iterator_type = typename internal::signal_impl::const_iterator_type
using | pointer = const T_slot*
using | reference = const T_slot&
using | size_type = std::size_t
using | slot_type = T_slot
using | value_type = T_slot

## Public Member Functions
| slot_const_iterator ()
| slot_const_iterator (const iterator_type& i)
bool | operator!= (const slot_const_iterator& other) const
reference | operator* () const
slot_const_iterator& | operator++ ()
slot_const_iterator | operator++ (int)
slot_const_iterator& | operator-- ()
slot_const_iterator | operator-- (int)
pointer | operator-> () const
bool | operator== (const slot_const_iterator& other) const

## Public Attributes
iterator_type | i_

## Detailed Description

### template<typename T_slot>
struct sigc::slot_const_iterator< T_slot >

STL-style const iterator for slot_list.

## Member Typedef Documentation

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::difference_type = std::ptrdiff_t

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::iterator_category = std::bidirectional_iterator_tag

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::iterator_type = typename internal::signal_impl::const_iterator_type

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::pointer = const T_slot*

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::reference = const T_slot&

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::size_type = std::size_t

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::slot_type = T_slot

template <typename T_slot >

using sigc::slot_const_iterator< T_slot >::value_type = T_slot

## Constructor & Destructor Documentation

template <typename T_slot >

sigc::slot_const_iterator< T_slot >::slot_const_iterator | ( |  | ) |
| inline

template <typename T_slot >

sigc::slot_const_iterator< T_slot >::slot_const_iterator | ( | const iterator_type& | i | ) |
| inline explicit

## Member Function Documentation

template <typename T_slot >

bool sigc::slot_const_iterator< T_slot >::operator!= | ( | const slot_const_iterator< T_slot >& | other | ) | const
| inline

template <typename T_slot >

reference sigc::slot_const_iterator< T_slot >::operator* | ( |  | ) | const
| inline

template <typename T_slot >

slot_const_iterator& sigc::slot_const_iterator< T_slot >::operator++ | ( |  | ) |
| inline

template <typename T_slot >

slot_const_iterator sigc::slot_const_iterator< T_slot >::operator++ | ( | int |  | ) |
| inline

template <typename T_slot >

slot_const_iterator& sigc::slot_const_iterator< T_slot >::operator-- | ( |  | ) |
| inline

template <typename T_slot >

slot_const_iterator sigc::slot_const_iterator< T_slot >::operator-- | ( | int |  | ) |
| inline

template <typename T_slot >

pointer sigc::slot_const_iterator< T_slot >::operator-> | ( |  | ) | const
| inline

template <typename T_slot >

bool sigc::slot_const_iterator< T_slot >::operator== | ( | const slot_const_iterator< T_slot >& | other | ) | const
| inline

## Member Data Documentation

template <typename T_slot >

iterator_type sigc::slot_const_iterator< T_slot >::i_